Open Lighting Architecture: ola::plugin::ftdidmx::FtdiWidget Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
ola::plugin::ftdidmx::FtdiWidget Class Reference

## Detailed Description

An FTDI widget.

## Public Member Functions
| FtdiWidget (const std::string &serial, const std::string &name, uint32_t id=0, const uint16_t vid=FtdiWidgetInfo::FTDI_VID, const uint16_t pid=FtdiWidgetInfo::FT232_PID)
| Construct a new FtdiWidget instance for one widget.
virtual | ~FtdiWidget ()
| Destructor.
std::string | Serial () const
| Get the widget's USB serial number.
std::string | Name () const
| Get the widget's USB name.
uint16_t | Vid () const
uint16_t | Pid () const
uint32_t | Id () const
| Get the widget's FTD2XX ID number.
std::string | Description () const
int | GetInterfaceCount ()
| Get Widget available interface count.

## Static Public Member Functions
static void | Widgets (std::vector< FtdiWidgetInfo > *widgets)
| Build a list of available ftdi widgets.

## Static Public Attributes
static const int | libftdi_ftdi_usb_get_strings_get_serial_failed = -9
static bool | m_missing_serial = false

## Constructor & Destructor Documentation

## ◆ FtdiWidget()

ola::plugin::ftdidmx::FtdiWidget::FtdiWidget | ( | const std::string & | serial,
|  | const std::string & | name,
|  | uint32_t | id = 0,
|  | const uint16_t | vid = FtdiWidgetInfo::FTDI_VID,
|  | const uint16_t | pid = FtdiWidgetInfo::FT232_PID )

Construct a new FtdiWidget instance for one widget.

Parameters

  serial | The widget's USB serial number
  name | The widget's USB name (description)
  id | id based on order of adding it seems from the code
  vid | The VendorID of the device, def = FtdiWidgetInfo::ftdi_vid
  pid | The ProductID of the device, def = FtdiWidgetInfo::ft232_pid

## Member Function Documentation

## ◆ GetInterfaceCount()

int ola::plugin::ftdidmx::FtdiWidget::GetInterfaceCount | ( |  | ) |

Get Widget available interface count.

Get the number of physical interfaces our widget has to offer.

This does not deal with product names being named in a different way.

Originally I had hoped to use ftdi_context::type however, it only gets set properly after the device has been opened.

## ◆ Widgets()

void ola::plugin::ftdidmx::FtdiWidget::Widgets | ( | std::vector< FtdiWidgetInfo > * | widgets | ) |
| static

Build a list of available ftdi widgets.

Build a list of all attached ftdi devices.

Parameters

  widgets | a pointer to a vector of FtdiWidgetInfo objects.

The documentation for this class was generated from the following files:

- plugins/ftdidmx/FtdiWidget.h
- plugins/ftdidmx/FtdiWidget.cpp